g_files = {}

def RegisterFile(fName, totalBlocks):
    if fName in g_files.keys():
        return
    g_files[fName] = [0]*totalBlocks


def ReachedCodeBlock(fName, blockNumber):
    g_files[fName][blockNumber-1] = 1
    print 'Reached', blockNumber

